## com.sun.jersey.api
Class NotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.ws.rs.WebApplicationException
                      com.sun.jersey.api.NotFoundException

All Implemented Interfaces:
  java.io.Serializable

    public class NotFoundException

extends WebApplicationException

A HTTP 404 (Not Found) exception.

Author:
  Paul.Sandoz@Sun.Com
See Also:
  Serialized Form

Constructor Summary
`NotFoundException()` Create a HTTP 404 (Not Found) exception.
`NotFoundException(java.lang.String message)` Create a HTTP 404 (Not Found) exception.
`NotFoundException(java.lang.String message, java.net.URI notFoundUri)` Create a HTTP 404 (Not Found) exception.
`NotFoundException(java.net.URI notFoundUri)` Create a HTTP 404 (Not Found) exception.

Method Summary
`java.lang.String` | `getMessage()`
`java.net.URI` | `getNotFoundUri()` Get the URI that is not found.

Methods inherited from class javax.ws.rs.WebApplicationException
`getResponse`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotFoundException

    public NotFoundException()

  Create a HTTP 404 (Not Found) exception.

### NotFoundException

    public NotFoundException(java.net.URI notFoundUri)

  Create a HTTP 404 (Not Found) exception.

  Parameters:
    `notFoundUri` - the URI that cannot be found.

### NotFoundException

    public NotFoundException(java.lang.String message)

  Create a HTTP 404 (Not Found) exception.

  Parameters:
    `message` - the String that is the entity of the 404 response.

### NotFoundException

    public NotFoundException(java.lang.String message,
                             java.net.URI notFoundUri)

  Create a HTTP 404 (Not Found) exception.

  Parameters:
    `message` - the String that is the entity of the 404 response.
    `notFoundUri` - the URI that cannot be found.

Method Detail

### getNotFoundUri

    public java.net.URI getNotFoundUri()

  Get the URI that is not found.

  Returns:
    the URI that is not found.

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

Copyright © 2017 Oracle Corporation. All Rights Reserved.